#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-pdf-converter
Version:	2.1.22
Release:	1%{dist}
Summary:	The Qubes service for converting untrusted PDF files into trusted ones

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildArch: noarch
BuildRequires: make
BuildRequires: pandoc 
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel
%if 0%{?is_opensuse}
# for directory ownership
BuildRequires: python-nautilus-common-files
BuildRequires: qubes-core-qrexec
%endif

Requires:	poppler-utils GraphicsMagick
%if 0%{?is_opensuse}
Requires:	python-nautilus-common-files
%else
Requires:	nautilus-python
%endif
Requires:	python%{python3_pkgversion} >= 3.7
Requires:	python%{python3_pkgversion}-pillow
Requires:	python%{python3_pkgversion}-click
Requires:	python%{python3_pkgversion}-tqdm

Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for converting untrusted PDF files into trusted ones.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install-service DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install-gnome DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
%if !0%{?is_opensuse}
make install-kde4 DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/qubes-rpc/qubes.PdfConvert
/usr/lib/qubes/qpdf-convert-server
/usr/lib/qubes/qvm-convert-pdf.gnome
/usr/bin/qvm-convert-pdf
/usr/share/nautilus-python/extensions/qvm_convert_pdf_nautilus.py*
%if !0%{?is_opensuse}
/usr/share/kde4/services/qvm-convert-pdf.desktop
%endif
%{_mandir}/man1/qvm-convert-pdf.1*
%dir %{python3_sitelib}/qubespdfconverter-*.egg-info
%{python3_sitelib}/qubespdfconverter-*.egg-info/*
%{python3_sitelib}/qubespdfconverter

%changelog
* Thu Sep 26 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-pdf-converter

* Thu Sep 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ed72d6
- version 2.1.22

* Thu Sep 26 2024 Ali Mirjamali <ali@mirjamali.com> - 048002e
- Configurable qvm-convert-pdf resolution

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef0624d
- version 2.1.21

* Wed Aug 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 256c991
- tests: assertEquals -> assertEqual

* Mon Aug 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f7e1b6
- version 2.1.20

* Fri Aug 09 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c1bf63
- rpm: mark packages as noarch

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e7aec2
- rpm: add BR required for directory ownership

* Sun Nov 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fc9075d
- rpm: do not install kde4 files on openSUSE

* Fri Oct 13 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c4eba78
- version 2.1.19

* Thu Oct 12 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1d3d73
- Migrate to new policy format

* Fri Jun 30 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28ab96b
- version 2.1.18

* Thu Jun 29 2023 tungsten987 <113451424+tungsten987@users.noreply.github.com> - ebb6d63
- Update client.py

* Wed Jun 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c52e7b1
- Do not build for Centos Stream 8

* Mon Jun 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d5f19e2
- version 2.1.17

* Mon Jun 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b388a1f
- Fix issues found by pylint

* Mon Jun 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f396aa0
- Adjust Arch packaging for builderv2

* Sat Jun 03 2023 tungsten987 <113451424+tungsten987@users.noreply.github.com> - f3752e7
- Update client.py

* Thu Apr 06 2023 Alexander Paetzelt <git@techge.de> - 920363b
- Add archlinux package build file

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 779eefd
- version 2.1.16

* Sun Jan 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 687e94a
- spec: add BR python3-setuptools

* Fri Dec 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d262eb3
- version 2.1.15

* Fri Dec 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2166e88
- ci: disable R4.0

* Thu Dec 15 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - 0322ed8
- Replace ImageMagick with GraphicsMagick

* Thu Dec 01 2022 noskb <63541981+noskb@users.noreply.github.com> - 61272a0
- qvm_convert_pdf_nautilus.py: Execute external commands asynchronously

* Tue Nov 29 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1a770cf
- version 2.1.14

* Mon Nov 28 2022 noskb <63541981+noskb@users.noreply.github.com> - ebb4460
- qvm_convert_pdf_nautilus.py: adjust to work with Nautilus API 4.0

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92e2598
- version 2.1.13

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fd0f276
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 25 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 410abc5
- Add Qubes Builder v2 integration

* Wed Apr 20 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e05a9d9
- Make pylint happy

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fd9a4ba
- Drop Travis CI

* Sun May 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 171a55a
- version 2.1.12

* Tue May 18 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 15955ce
- spec: exclude unsupported CentOS

* Tue May 11 2021 Andrew David Wong <adw@andrewdavidwong.com> - 6c636c9
- Copyedit text

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0cb4826
- spec: add BR make

* Wed May 05 2021 Rot127 <unisono@quyllur.org> - 8824bc0
- Fix issue #5975 like @icequbes1 suggested.

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2847937
- gitlab-ci: move pylint earlier

* Tue Nov 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d660536
- Add .gitlab-ci.yml

* Sun Oct 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17f48a8
- version 2.1.11

* Sun Oct 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fba2849
- rpm: add PYTHON variable to define right Python binary

* Sun Oct 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c9d97e
- version 2.1.10

* Fri Oct 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b7f71f
- Python38 is now available for CentOS8

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d1ba08
- version 2.1.9

* Wed Jun 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b83e354
- require python 3.7+, exclude stretch, jessie and centos

* Wed Jun 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 653c55f
- Use proper python package installation for the VM part too

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 229e68a
- Drop executable bit from nautilus extension

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 617c2a7
- Add qubespdfconverter/__init__.py

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d457d6
- Move tests back to qubespdfconverter.tests

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1559c9
- Install only tests with older python

* Mon Jun 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 04991c3
- travis: include R4.0 dom0 too

